All resources All frames

# ThreadStatFrame

The ThreadStat frame allows you to monitor the current set of threads running inside the server process. This is useful for debugging purposes. It also gives some feedback on memory usage.

## Inherits

The ThreadStatFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame

## Attributes description

The ThreadStatFrame defines the following attributes:

- refresh

`refresh`

semantics
  At what interval should the thread listing refresh itself. When available, this resource uses the Refresh header to make itself refresh regularly. This attribute gives the period of this refresh in seconds.
type
  This attribute is an editable IntegerAttribute
default value
  This attribute defaults to 5.

Jigsaw Team
$Id: org.w3c.jigsaw.status.ThreadStatFrame.html,v 1.2 1998/03/27 08:24:40 bmahe Exp $